Groovy 1.7.0

## org.codehaus.groovy.runtime
Class ConvertedClosure

    java.lang.Object
      org.codehaus.groovy.runtime.ConversionHandler
          org.codehaus.groovy.runtime.ConvertedClosure

All Implemented Interfaces:
  Serializable

    class ConvertedClosure
    extends ConversionHandler

This class is a general adapter to adapt a closure to any Java interface.

author:
  Ben Yu

author:
  Jochen Theodorou Jul 27, 2006 3:50:51 PM

Constructor Summary
`ConvertedClosure(Closure closure, String method)` to create a ConvertedClosure object.
`ConvertedClosure(Closure closure)`

Method Summary
`Object` | `invokeCustom(Object proxy, Method method, Object[] args)`

Methods inherited from class ConversionHandler
checkMethod, equals, getDelegate, hashCode, invoke, invokeCustom, isCoreObjectMethod, toString

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ConvertedClosure

    public ConvertedClosure(Closure closure, String method)

  to create a ConvertedClosure object.
  param:
    closure the closure object.

### ConvertedClosure

    public ConvertedClosure(Closure closure)

Method Detail

### invokeCustom

    public Object invokeCustom(Object proxy, Method method, Object[] args)

Copyright © 2003-2009 The Codehaus. All rights reserved.